autowatch = 1;
inlets = 1;
outlets = 3;

function loadbang()
{
	outlet(1,"round",0.2);
	outlet(1,"frgb",50,150,255);
}

// Incoming track data 
function track(trackObj)
{
	r = 0;
	g = 0;
	b = 0;
	
	outlet(1,"text",trackObj.name);
	
	if(trackObj.arm && trackObj.solo)
	{
		r = 180;
		g = 180;
		b = 0;
	}
	else if(trackObj.arm)
	{
		r = 255;
		g = 0;
		b = 0;
	}
	else if(trackObj.solo)
	{
		r = 0;
		g = 180;
		b = 0;
	}
	else
	{
		r = 50;
		g = 150;
		b = 255;
	}
	
	if(trackObj.mute && !trackObj.solo)
	{
		r = Math.round(r / 2);
		g = Math.round(g / 2);
		b = Math.round(b / 2);
	}
	
	outlet(1,"frgb",r,g,b);
}
